Service
All operations require authentication.
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your pack
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get the owner contact of an xDSL packProduction
Get the owner contact of an xDSL pack. Returns the name, organization, email, phone and postal address of the pack owner.
Path parameters
The internal name of your pack
Response
contact address
contact city
contact country
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWcontact email
contact firstname
contact name
contact organisation
contact phone
contact phoneCountry
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWcontact zip
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ contactOwner \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "city": "string", "country": "AC", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "phoneCountry": "AC", "zip": "string"}
Get the promotion code capabilities of an xDSL packProduction
Get the promotion code capabilities of an xDSL pack. Returns whether a promotion code can be generated, its amount, the engagement it requires and the reasons when it cannot.
Path parameters
The internal name of your pack
Response
Amount of the promotion code
True if the promotion code generation is available
Number of months of engagement
Enum of the possible errors
noMoreAvailableofferNotCompatibleserviceNotInOkStatestillEngagedtaskInProgressExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ promotionCode/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "amount": { "currencyCode": "AUD", "text": "string", "value": 0 }, "canGenerate": true, "engagement": 0, "reasonCodes": [ "noMoreAvailable" ]}
Generate a promotion code for an xDSL packProduction
Generate a promotion code for an xDSL pack. Creates a new promotion code for the pack. Returns the task that performs it.
Path parameters
The internal name of your pack
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ promotionCode/ generate \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your pack
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your pack
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List the services of an xDSL pack with their usageProduction
List the services of an xDSL pack with their usage. Returns, for each service type of the pack, the number used, the total and the number in creation.
Path parameters
The internal name of your pack
Response
Service name
domainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccessExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ services \
-H "authorization: Bearer $OVH_TOKEN"[ { "inCreation": 0, "name": "domain", "total": 0, "used": 0 }]
List the shipping addresses of an xDSL packProduction
List the shipping addresses of an xDSL pack. Returns the addresses allowed for the given context, such as a migration or a VoIP line order.
Path parameters
The internal name of your pack
Query parameters
Context
migrationvoipLineResponse
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ shippingAddresses \
-H "authorization: Bearer $OVH_TOKEN"[ { "address": "string", "cityName": "string", "countryCode": "string", "firstName": "string", "lastName": "string", "shippingId": "string", "zipCode": "string" }]
List the services contained in an xDSL packProduction
List the services contained in an xDSL pack. Returns the domains of the services of the pack. Get a service for its type and unpack terms.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ subServices \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a service contained in an xDSL packProduction
Get a service contained in an xDSL pack. Returns the ID, domain and type of a service of the pack. Its unpack terms come from keepServiceTerms.
Path parameters
The internal name of your pack
Response
Service name
domainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccessExample uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ subServices/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "id": 0, "type": "domain"}
List the tasks of an xDSL packProduction
List the tasks of an xDSL pack. Returns the IDs of the tasks scheduled on the pack. Get a task for its function, status and last update date.
Path parameters
The internal name of your pack
Query parameters
Filter the value of function property (=)
Filter the value of status property (=)
cancelleddoingdoneerrorproblemtodoResponse
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a task of an xDSL packProduction
Get a task of an xDSL pack. Returns the function, status and last update date of a task scheduled on the pack.
Path parameters
Id of the object
The internal name of your pack
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses id = 0, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ tasks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
List the xDSL access services of an xDSL packProduction
List the xDSL access services of an xDSL pack. Returns the names of the xDSL accesses of the pack, each usable with the /xdsl calls.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ xdslAccess/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]